> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve order shipments

> Retrieve order shipments



## OpenAPI

````yaml get /orders/{order_number}/shipments
openapi: 3.1.0
info:
  version: '1.0'
  title: CE Storefront APIs
  summary: Customer-facing e-commerce API for building exceptional shopping experiences
  description: >-
    Public-facing API for Commerce Engine storefronts, enabling seamless
    shopping experiences with product browsing, cart management, checkout
    processing, user accounts, and order tracking. Perfect for building web,
    mobile, and headless commerce applications.
  contact:
    name: Support
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
  license:
    url: https://www.commercengine.io/contact-us
    name: All Rights Reserved
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security: []
tags:
  - name: Analytics
    description: Analytics
  - name: Auth
    description: auth
  - name: Campaigns
    description: Campaigns
  - name: Carts
    description: Carts
  - name: Catalog
    description: Catalog
  - name: Common
    description: Common
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Juspay
    description: Juspay Payments
  - name: KYC
    description: KYC
  - name: Marketplace
    description: Marketplace
  - name: Orders
    description: Orders
  - name: Others
    description: Others
  - name: Payments
    description: Payments
  - name: PayU
    description: PayU Payments
  - name: POS
    description: POS
  - name: Shipping
    description: Shipping
  - name: Store
    description: Store
  - name: Subscriptions
    description: Subscriptions
externalDocs:
  url: https://llm-docs.commercengine.io
  description: Commerce Engine API Reference Documentation
paths:
  /orders/{order_number}/shipments:
    get:
      tags:
        - Orders
      summary: Retrieve order shipments
      description: Retrieve order shipments
      operationId: list-order-shipments
      parameters:
        - name: order_number
          in: path
          description: order number
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    default: order details
                    readOnly: true
                  success:
                    type: boolean
                    readOnly: true
                  content:
                    properties:
                      shipments:
                        type: array
                        items:
                          $ref: '#/components/schemas/OrderShipment'
                    type: object
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - Authorization: []
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/operations/list-order-shipments
        description: API reference for the list-order-shipments operation
components:
  schemas:
    OrderShipment:
      title: OrderShipment
      description: Order shipment model
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/OrderShipment
        description: API reference for the OrderShipment schema
      properties:
        reference_number:
          type: string
        status:
          $ref: '#/components/schemas/ShipmentStatus'
        total_weight:
          type: number
        total_boxes:
          type: integer
        shipment_items_count:
          type: integer
        shipment_items:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentItem'
        shipping_amount:
          type: number
          format: double
        shipping_tax_amount:
          type: number
          format: double
        shipping_amount_including_tax:
          type: number
          format: double
        courier_company_name:
          type: string
        shipping_label_url:
          type: string
        awb_no:
          type: string
        tracking_url:
          type: string
        eta_delivery:
          type: string
        shipped_date:
          type: string
          format: date-time
        delivered_date:
          type: string
          format: date-time
        cancellation_reason:
          type: string
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
        seller_id:
          description: >-
            Seller ID. This field is relevant for marketplace type stores only.
            Will return null for b2b and b2c type stores.
          type:
            - string
            - 'null'
        seller_detail:
          description: >-
            Seller detail information. This field is relevant for marketplace
            type stores only. Will return null for b2b and b2c type stores.
          oneOf:
            - $ref: '#/components/schemas/SellerInfo'
            - type: 'null'
    ShipmentStatus:
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ShipmentStatus
        description: API reference for the ShipmentStatus schema
      enum:
        - unscheduled
        - schedule_requested
        - scheduled
        - packed
        - shipped
        - in_transit
        - out_for_delivery
        - delivery_attempted
        - undelivered
        - return_to_origin
        - delivered
        - cancelled
        - lost
    ShipmentItem:
      title: ShipmentItem
      description: Shipment item model
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/ShipmentItem
        description: API reference for the ShipmentItem schema
      properties:
        product_id:
          type: string
        product_name:
          type: string
        product_image_url:
          type:
            - string
            - 'null'
        variant_id:
          type: string
        variant_name:
          type: string
        sku:
          type: string
        quantity:
          type: integer
        free_quantity:
          type: integer
        is_free_item:
          type: boolean
    SellerInfo:
      title: SellerInfo
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/SellerInfo
        description: API reference for the SellerInfo schema
      required:
        - id
        - trade_name
        - legal_name
        - business_type
        - tax_identification_number
      properties:
        id:
          type: string
        trade_name:
          type: string
        legal_name:
          type: string
        business_type:
          type: string
        tax_identification_number:
          type: string
      examples: []
  responses:
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````